net.i2p.i2ptunnel

## Enum TunnelController.TunnelState

- java.lang.Object
- - java.lang.Enum<TunnelController.TunnelState>
  - - net.i2p.i2ptunnel.TunnelController.TunnelState

- All Implemented Interfaces:
    Serializable, Comparable<TunnelController.TunnelState>
  Enclosing class:
    TunnelController

      public static enum TunnelController.TunnelState
      extends Enum<TunnelController.TunnelState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELAYED_START_PENDING`
    `DESTROYED`
    `DESTROYING`
    `RUNNING`
    `START_ON_LOAD`
    `STARTING`
    `STOPPED`
    `STOPPING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TunnelController.TunnelState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TunnelController.TunnelState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DELAYED_START_PENDING

          public static final TunnelController.TunnelState DELAYED_START_PENDING

    - #### DESTROYED

          public static final TunnelController.TunnelState DESTROYED

    - #### DESTROYING

          public static final TunnelController.TunnelState DESTROYING

    - #### RUNNING

          public static final TunnelController.TunnelState RUNNING

    - #### START_ON_LOAD

          public static final TunnelController.TunnelState START_ON_LOAD

    - #### STARTING

          public static final TunnelController.TunnelState STARTING

    - #### STOPPED

          public static final TunnelController.TunnelState STOPPED

    - #### STOPPING

          public static final TunnelController.TunnelState STOPPING

  - ### Method Detail

    - #### valueOf

          public static TunnelController.TunnelState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static TunnelController.TunnelState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TunnelController.TunnelState c : TunnelController.TunnelState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared